#ifndef __lcd__
#define __lcd__


void warte(unsigned int zeit);

void lcd_init(void);
void lcd_cls(void);
void lcd_home(void);
void lcd_setup( unsigned char DisplayOnOff,unsigned char CursorOnOff, unsigned char CursorBlink);

#define DISPLAY_ON	1
#define DISPLAY_OFF 0
#define CURSOR_ON	1
#define CURSOR_OFF	0
#define CURSOR_BLINK	1
#define CURSOR_NOBLINK	0

void lcd_setxy(unsigned char zeile, unsigned char spalte);

void lcd_putchar(char c);
void lcd_puts(const char *string);

void lcd_byte(char wert);
void lcd_ubyte(unsigned char c);
void lcd_hbyte(unsigned char wert);

void lcd_int(int i);
void lcd_uint(unsigned int i);
void lcd_hint(unsigned int i);

void lcd_long(long wert);
void lcd_ulong(unsigned long wert);
void lcd_hlong(unsigned long wert);


#endif

