#ifndef __diverses__
#define __diverses__



/* mod_ir_empf0 (D04) */
volatile xdata at 0x1FEF unsigned char mod_ir_empf0_gutzaehler;
volatile xdata at 0x1FEE unsigned char mod_ir_empf0_maxfehler;		/* max. Fehlerwert fuer jeweils eine Periode */
volatile xdata at 0x1FEA unsigned char mod_ir_empf0_takt;			/* Halbe Periodendauer der Abtastung */

/* mod_ir_empf1 (D05) */
volatile xdata at 0x1FE7 unsigned char mod_ir_empf1_gutzaehler;
volatile xdata at 0x1FE6 unsigned char mod_ir_empf1_maxfehler;		/* max. Fehlerwert fuer jeweils eine Periode */
volatile xdata at 0x1FE2 unsigned char mod_ir_empf1_takt;			/* Halbe Periodendauer der Abtastung */

/* mod_ir_empf2 (D06) */
volatile xdata at 0x1FDF unsigned char mod_ir_empf2_gutzaehler;
volatile xdata at 0x1FDE unsigned char mod_ir_empf2_maxfehler;		/* max. Fehlerwert fuer jeweils eine Periode */
volatile xdata at 0x1FDA unsigned char mod_ir_empf2_takt;			/* Halbe Periodendauer der Abtastung */

/* mod_ir_empf3 (D07) */
volatile xdata at 0x1FD7 unsigned char mod_ir_empf3_gutzaehler;
volatile xdata at 0x1FD6 unsigned char mod_ir_empf3_maxfehler;		/* max. Fehlerwert fuer jeweils eine Periode */
volatile xdata at 0x1FD2 unsigned char mod_ir_empf3_takt;			/* Halbe Periodendauer der Abtastung */



#define mod_ir0_takt( takt) mod_ir_empf0_takt=takt
#define mod_ir1_takt( takt) mod_ir_empf1_takt=takt
#define mod_ir2_takt( takt) mod_ir_empf2_takt=takt
#define mod_ir3_takt( takt) mod_ir_empf3_takt=takt


#define mod_ir0_status()  mod_ir_empf0_gutzaehler
#define mod_ir1_status()  mod_ir_empf1_gutzaehler
#define mod_ir2_status()  mod_ir_empf2_gutzaehler
#define mod_ir3_status()  mod_ir_empf3_gutzaehler

#define mod_ir0_maxfehler( fehler) mod_ir_empf0_maxfehler=fehler
#define mod_ir1_maxfehler( fehler) mod_ir_empf1_maxfehler=fehler
#define mod_ir2_maxfehler( fehler) mod_ir_empf2_maxfehler=fehler
#define mod_ir3_maxfehler( fehler) mod_ir_empf3_maxfehler=fehler





void aksen_init( void);
void sleep(unsigned long wartezeit);
unsigned long akt_time( void);
void clear_time( void);

void timer2( void) _naked;

#endif
